Page MenuHomePhabricator

Consider fullscreen modes for Pholio (and other applications?)
Open, WishlistPublic

Description

@paularmstrong suggested using browser fullscreen APIs for Pholio:

paul: epriestley: would be nice to have the ability to use the browser's fullscreen api on it
epriestley: paul: I'll haven't played around with it much, but I'll file something -- you'd want all the controls still, but the sort of black-backgrounded panel would be what would fullscreen?
paul: i think all i'd want is the images fullscreen on a black background with left/right keys on my keyboard for switching between images
paul: the ability to add the on-image comments would be a bonus
paul: maybe show the image caption while mouse is moving on a timer
paul: here's an example of some nice fullscreen for image albums on imgur: http://imgur.com/a/K1BMp
paul: click "View album in fullscreen" on right

There might be some other uses, too ("super order mode" springs to mind).

Details

Event Timeline

epriestley triaged this task as Low priority.Jul 17 2013, 5:43 PM
epriestley added a project: Pholio.
wuxxin closed this task as a duplicate.Oct 1 2013, 3:55 AM

✘ Merged into T3899.

chad reopened this task as Open.Oct 1 2013, 3:58 AM
chad moved this task to On Deck on the Pholio board.Mar 21 2014, 5:22 AM

I played around with this. It's fairly easy to get working, but the experience feels really rough to me in all browsers:

  • In Safari, the animation into fullscreen is really gross.
  • In Chrome and Firefox there are mandatory floating dialogs when you enter the mode.
  • Everywhere, developer tools aren't hidden by the transition.
  • Everywhere, the transition is encumbered by browsers protecting users from malicious sites entering fullscreen suddenly to trick users. However, these protections basically take the form of making the experience a trashy mess.

@chad, unless you think this is really desirable I'm inclined to push it to v2.

Oh, and Chrome kicks you out if you use the history API (?) or press any key (??) or something.

chad lowered the priority of this task from Low to Wishlist.Jun 16 2014, 5:27 AM
chad moved this task from On Deck to Backlog on the Pholio board.
epriestley edited this Maniphest Task.Jun 16 2014, 1:25 PM

I merged T4101 here because our current evaluation (see D9570) is that the browser fullscreen APIs still have a lot of issues and undesirable behavior, and we're unlikely to pursue them in any application until browser support improves.

chad changed the visibility from "All Users" to "Public (No Login Required)".Jun 30 2015, 2:42 AM
tolbrino removed a subscriber: tolbrino.Aug 24 2015, 7:37 AM